<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pembayaranskpdkb');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>
<div id="page-content-wrapper" style="font-size: 12px">
    <div id="page-content">
        <div class="">
            <!-- Parsley -->
            <div>
                <h3 style="color: blue">
                    Pemeriksaan SKPDKB &nbsp; -- <b style="color: red"> NO SPTPD : <?= $datatransaksi['t_nourut'] . " / " . $datatransaksi['t_periodepajak']; ?></b> --
                </h3>
            </div>
            <div class="panel">
                <div class="panel-body">
                    <div class="example-box-wrapper">
                        <?= $this->form()->openTag($form) ?>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Pemilik</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Tanggal Pendaftaran</label>
                                <div class="col-md-2">
                                    : <?= $datatransaksi['t_tgldaftar'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-md-4">
                                    : <?= $datatransaksi['t_nama'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-md-10">
                                    : <?= $datatransaksi['t_alamat'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakel'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakec'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupaten'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Objek Pajak</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NIOP</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nop'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_namaobjek'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_alamatobjek'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakelobjek'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakecobjek'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupatenobjek'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Transaksi</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Tgl. Pendataaan</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_tglpendataan'])) ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">No. SPTPD</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nourut']; ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Masa Pajak</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_masaawal'])) ?> s/d <?= date('d-m-Y', strtotime($datatransaksi['t_masaakhir'])) ?>
                                </div>
                            </div>
                        </div>
                        <div class="row pad10B">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data SKPDKB</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">No. SKPDKB</label>
                                <div class="col-md-2">
                                    : <?= $datatransaksi['t_noskpdkb']; ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Periode SKPDKB</label>
                                <div class="col-md-1">
                                    : <?= $datatransaksi['t_periodeskpdkb']; ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Kode Rekening</label>
                                <div class="col-md-2">
                                    : <?= $datatransaksi['korek']; ?> / <?= $datatransaksi['s_namakorek']; ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-12" style="color: blue; font-size: 16px"><u><b>PERHITUNGAN POKOK PAJAK SKPDKB</b></u></label>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">1. Pemeriksaan </label>
                                <div class="col-md-7">
                                    : <?= number_format($datatransaksi['t_dasarrevisi'], 0, ',', '.'); ?> * <?= $datatransaksi["t_tarifpajak"] ?> / 100
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5"></label>
                                <div class="col-md-7" style="color: red">
                                    : <?= number_format($datatransaksi['t_jmlhpajakseharusnya'], 0, ',', '.'); ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">2. Data Pokok </label>
                                <div class="col-md-7">
                                    : <?= number_format($datatransaksi['t_dasarpengenaan'], 0, ',', '.'); ?> * <?= $datatransaksi["t_tarifpajak"] ?> / 100
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5"></label>
                                <div class="col-md-7" style="color: red">
                                    : <?= number_format($datatransaksi['t_jmlhpajak'], 0, ',', '.'); ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">3. Pajak (Pemeriksaan) - (Sebelumnya)</label>
                                <div class="col-md-7">
                                    : <?= number_format($datatransaksi['t_jmlhpajakseharusnya'], 0, ',', '.'); ?> - <?= number_format($datatransaksi['t_jmlhpajak'], 0, ',', '.'); ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5"></label>
                                <div class="col-md-7" style="color: red">
                                    : <?= number_format($datatransaksi['t_jmlhpajakskpdkb'], 0, ',', '.'); ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-12" style="color: blue; font-size: 16px"><u><b>PERHITUNGAN DENDA PAJAK SKPDKB</b></u></label>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">Tgl. SKPDKB</label>
                                <div class="col-md-7">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_tglskpdkb'])) ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">Tgl. Pokok</label>
                                <div class="col-md-7">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_tglpendataan'])) ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">Jml. Bulan</label>
                                <div class="col-md-7">
                                    : <?= $datatransaksi['t_jmlhbln'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">Denda</label>
                                <div class="col-md-7">
                                    : <?= number_format($datatransaksi['t_selisihdasar'], 0, ',', '.') ?> * <?= $datatransaksi['t_jmlhbln'] ?> * <?= $datatransaksi['t_tarifpersen'] ?> / 100
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5"></label>
                                <div class="col-md-7">
                                    : <span style="color: red"><?= number_format($datatransaksi['t_jmlhdendaskpdkb'], 0, ',', '.') ?></span>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5">Total SKPDKB</label>
                                <div class="col-md-7">
                                    : <span style="color: red;"><?= number_format($datatransaksi['t_jmlhpajakskpdkb'], 0, ',', '.'); ?> + <?= number_format($datatransaksi['t_jmlhdendaskpdkb'], 0, ',', '.') ?></span>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-5"></label>
                                <div class="col-md-7">
                                    : <b style="color: red; font-size: 16px"><u><?= number_format($datatransaksi['t_totalskpdkb'], 0, ',', '.') ?></u></b>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-warning">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Form Pembayaran SKPDKB</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Tgl. Bayar</label>
                                <div class="col-md-4">
                                    <?= $this->formHidden($form->get("t_idskpdkb")) ?>
                                    <?= $this->formText($form->get("t_tglbayarskpdkb")) ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Via Bayar</label>
                                <div class="col-md-4">
                                    <?= $this->formSelect($form->get("t_viabayarskpdkb")) ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Total</label>
                                <div class="col-md-4">
                                    <?= $this->formText($form->get("t_jmlhbayarskpdkb")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="bg-default" id="tombolsimpan">
                            <?= $this->formInput($form->get('Pembayaransubmit')) ?> 
                        </div>
                        <?= $this->form()->closeTag($form) ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>

<script>
    $('#Pembayaransubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
    
</script>